Subject: rationals

From: categories <[email-masked]>
Date: Wed, 13 Mar 1996 10:50:22 -0400 (AST)

Date: Tue, 12 Mar 1996 17:29:31 -0800
From: Vaughan Pratt <[email-masked]>

        From: [email-masked]
        <<I would like to say that a fraction is a pair of integers m/n, n > 0 a
nd
        <<that m/n = p/q when mq = np.>>
           So would Saunders MacLane, sorry, Mac Lane. He gives the axioms in hi
s 1948
        invited address published as 'Duality for groups' in BullAMS 1950. The
        community has not taken up Saunders' axioms, can't think why.

I thought these were Weber's axioms.  Lerhbuch der Algebra, 1895.

The integers are likewise pairs m-n of natural numbers, with m-n = p-q
when m+q = n+p.

Natives of Ab are no doubt comfortable defining the integers as the
tensor unit.  But in Ab, ZZ = Z.  Are people from Ab even aware that
there are infinitely many integers?  Can they even count?

People from Set surely know a whole lot more about Ab than people from
Ab know about Set.

(By Ab I mean the closed category of Abelian groups, with all logic
conducted internally, i.e. Hom:Ab\op x Ab -> Ab.)

Vaughan